/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif


/*! @name PORTC6 (number 81), UART1_RX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_RX_PERIPHERAL LPUART1      /*!<@brief Device name: LPUART1 */
#define BOARD_DEBUG_UART_RX_SIGNAL RX               /*!<@brief LPUART1 signal: RX */
#define BOARD_DEBUG_UART_RX_PORT PORTC              /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_RX_PIN 6U                  /*!<@brief PORTC pin index: 6 */
#define BOARD_DEBUG_UART_RX_PIN_NAME LPUART1_RX     /*!<@brief Pin name */
#define BOARD_DEBUG_UART_RX_LABEL "UART1_RX_TGTMCU" /*!<@brief Label */
#define BOARD_DEBUG_UART_RX_NAME "DEBUG_UART_RX"    /*!<@brief Identifier name */
                                                    /* @} */

/*! @name PORTC7 (number 80), UART1_TX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_TX_PERIPHERAL LPUART1      /*!<@brief Device name: LPUART1 */
#define BOARD_DEBUG_UART_TX_SIGNAL TX               /*!<@brief LPUART1 signal: TX */
#define BOARD_DEBUG_UART_TX_PORT PORTC              /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_TX_PIN 7U                  /*!<@brief PORTC pin index: 7 */
#define BOARD_DEBUG_UART_TX_PIN_NAME LPUART1_TX     /*!<@brief Pin name */
#define BOARD_DEBUG_UART_TX_LABEL "UART1_TX_TGTMCU" /*!<@brief Label */
#define BOARD_DEBUG_UART_TX_NAME "DEBUG_UART_TX"    /*!<@brief Identifier name */
                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
