/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 * 
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _TSI_KEY_H_
#define _TSI_KEY_H_

#include "fsl_common.h"
#include "TSI_config.h"

#define KEY_ID_IDLE 0xFF /* No key is touched */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus*/

/*!
 * @brief: Detect self-mode touch key
 * @param current_key_id  return valid touched key id, ranges from 0 - 99
 * @return return key event, which is the same as TSI event
 */
uint8_t TSI_keyDetect(uint8_t *current_key_id);

/*!
 * @brief:  Calibrate TSI idle value, save as TSI baseline
 */
void TSI_keyCalibrate(void);

#if defined(__cplusplus)
}
#endif /* __cplusplus*/

#endif /* _TSI_KEY_H_ */
