/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#include "TSI_config.h"

/*
 * Key and TSI channel mapping table definition
 */
key_tsi_mapping_t key_TSI[] = {
    /* TSI_channel;baseline_delta;touch_delta;key_state;touch_debounce;
       release_debounce;touch_threshold;baseline;current_value; */
    {kTSI_Chnl_22, 5U, 200U, 0U, 0U, 0U, 0U, 0U, 0U}, /* KEY 0 */
    {kTSI_Chnl_23, 5U, 300U, 0U, 0U, 0U, 0U, 0U, 0U}, /* KEY 1 */

    /* Do NOT move {0xFF, 0xFF, 0xFF, 0xFF} which indicates the end of the array */
    {0xFFU, 0xFFU, 0xFFU, 0xFFU, 0U, 0U, 0U, 0U, 0U} /* the end of the array */
};

/* If slider not needed, please fill 0xFF */
slider_tsi_mapping_t slider_TSI[] = {
    /* tsi0, tsi1, tsi0_baseline, tsi1_baseline, baseline_delta, touch_delta */
    /* {TSI_9, TSI_10, 0, 0, 5, 100},		 */
    /* {TSI_9, TSI_10, 0, 0, 5, 100},	 */

    /* do NOT move {0xFF, 0xFF, 0xFF, 0xFF} which indicates the end of the array */
    {0xFFU, 0xFFU, 0xFFU, 0xFFU, 0xFFU, 0xFFU} /* the end of the array */
};
